org.eclipse.microprofile.opentracing.tck.application

## Class TestAnnotatedClass

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestAnnotatedClass

    @ApplicationScoped
     @Traced
    public class TestAnnotatedClass
    extends Object

Injectable class with the Traced annotation.

### Constructor Summary

Constructors
Constructor and Description
`TestAnnotatedClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `annotatedClassMethodExplicitlyNotTraced()` Method that we expect to not be Traced.
`void` `annotatedClassMethodExplicitlyNotTracedWithOpName()` Method that we expect to not be Traced.
`void` `annotatedClassMethodExplicitlyTraced()` Method that we expect to be Traced explicitly.
`void` `annotatedClassMethodImplicitlyTraced()` Method that we expect to be Traced implicitly.
`void` `annotatedClassMethodImplicitlyTracedWithException()` Method that we expect to be Traced implicitly and throws an exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnnotatedClass

    public TestAnnotatedClass()

### Method Detail

#### annotatedClassMethodImplicitlyTraced

    public void annotatedClassMethodImplicitlyTraced()

Method that we expect to be Traced implicitly.

#### annotatedClassMethodExplicitlyNotTraced

    @Traced(value=false)
    public void annotatedClassMethodExplicitlyNotTraced()

Method that we expect to not be Traced.

#### annotatedClassMethodExplicitlyTraced

    @Traced(operationName="explicitOperationName1")
    public void annotatedClassMethodExplicitlyTraced()

Method that we expect to be Traced explicitly.

#### annotatedClassMethodExplicitlyNotTracedWithOpName

    @Traced(operationName="disabledOperationName",
            value=false)
    public void annotatedClassMethodExplicitlyNotTracedWithOpName()

Method that we expect to not be Traced.

#### annotatedClassMethodImplicitlyTracedWithException

    public void annotatedClassMethodImplicitlyTracedWithException()

Method that we expect to be Traced implicitly and throws an exception.